package ru.yandex.webmaster3.viewer.http.turbo.feed;

import ru.yandex.autodoc.common.doc.annotation.Description;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.core.http.request.PagerAware;
import ru.yandex.webmaster3.viewer.http.AbstractUserVerifiedHostRequest;

import java.util.Collections;
import java.util.List;

/**
 * Created by Oleg Bazdyrev on 31/10/2017.
 */
public class GetTurboFeedsRequest extends AbstractUserVerifiedHostRequest{

    private List<TurboFeedFilter> parameterFilters = Collections.emptyList();
    private List<String> feedUrls;

    public List<TurboFeedFilter> getParameterFilters() {
        return parameterFilters;
    }

    @RequestQueryProperty
    @Description("Список фильтров")
    public void setParameterFilters(List<TurboFeedFilter> parameterFilters) {
        this.parameterFilters = parameterFilters;
    }

    public List<String> getFeedUrls() {
        return feedUrls;
    }

    @RequestQueryProperty
    @Description("Опциональный фильтр по урлам фидов")
    public void setFeedUrls(List<String> feedUrls) {
        this.feedUrls = feedUrls;
    }
}
